## listen 0.6.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #/usr/bin/make -f
 # vim: ts=4
+#
 
-VERSION = 0.6.2
+VERSION = 0.6.4
 
 #0 = don't check dependencies usefull to make distribued packages
 CHECK_DEPENDS ?= 1
@@ -115,6 +116,7 @@
 	install -m 644 src/listen $(DESTDIR)$(LIBDIR)/listen/
 	install -m 644 data/*.glade $(DESTDIR)$(DATADIR)/listen
 	install -m 644 data/jamendo_logo*.png $(DESTDIR)$(DATADIR)/listen
+	install -m 644 data/magnatune_logo*.png $(DESTDIR)$(DATADIR)/listen
 	install -m 644 data/img/*.png $(DESTDIR)$(DATADIR)/listen/img
 	install -m 644 data/img/source/*.png $(DESTDIR)$(DATADIR)/listen/img/source
 	install -m 644 data/img/listen.png $(DESTDIR)$(DATADIR)/pixmaps/
@@ -129,10 +131,14 @@
 
 
 po-data:
-	for lang in $(PO); do msgfmt po/$$lang.po -o po/$$lang.mo;done
+	for lang in $(PO); do \
+		msgfmt po/$$lang.po -o po/$$lang.mo; \
+	done
 	intltool-merge -d po misc/listen.desktop.in listen.desktop
 
 po-gen:
+	intltool-extract --type=gettext/glade data/jamendo-loading.glade
+	intltool-extract --type=gettext/glade data/magnatune-loading.glade
 	intltool-extract --type=gettext/glade data/trackedit.glade
 	intltool-extract --type=gettext/glade data/queuemanager.glade
 	intltool-extract --type=gettext/ini misc/listen.desktop.in
@@ -164,7 +170,7 @@
 	
 	#
 	# Prepare all tar ...
-	cd build && find listen-$(VERSION) -print | egrep '$(DIST_TAR_EXCLUDE)' > exclude_dists
+	cd build && find listen-$(VERSION) -print | egrep '$(DIST_TAR_EXCLUDE)' > exclude_dists || true
 	cd build && tar czfX ../$(DIST_INSTALL)/listen-$(VERSION).tar.gz exclude_dists listen-$(VERSION)/
 	cd build && tar cjfX ../$(DIST_INSTALL)/listen-$(VERSION).tar.bz2 exclude_dists listen-$(VERSION)/
 
@@ -174,5 +180,12 @@
 	python -OO utils/ptags.py $$(find src/ -type f -name '*.py'  -print )
 
 
+po-launchpad-extract: launchpad-export.tar.gz
+	rm -rf po-export
+	mkdir -p po-export
+	tar -xzf launchpad-export.tar.gz -C po-export
+	for file in po-export/po/*.po  ; do \
+		cp -f $$file po/$${file##*/listen-} ; \
+	done
+	rm -rf po-export
 
-
