=== debian/changelog ===
listen (0.6.4-1ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining changes:
   - Transition to python-webkit from python-webkitgtk.
   - Don't Depend on python-gtkmozembed.
   - Move gstreamer0.10-esd from Recommends to Suggests.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 17 Mar 2010 23:43:31 -0400

listen (0.6.4-1) unstable; urgency=low

  * New Upstream Version:
    + Updates all lyrics plugins
    + Fixes Amazon and Google cover search
    + Adds yooook plugin for listen
    + Uses any jpg and png file in song directory for cover
    + "Stop after this track" fixed
    + Only shows filename when no title is available (Closes: #544128)
    + Keeps order when uri are loaded from a playlist
    + Prints an exception when dbus dependencies are missing
    + Allows to start listen when pid file is broken
    + No more freeze when a stream gets an error
    + Fixes related album errors when no playcount is available
    + Webkit infinite reload page fixed
    + Adds missing magnatune logo
    + Doesn't browse shoucast directory when listen is started

 -- Julien Valroff <julien@kirya.net>  Mon, 22 Feb 2010 18:14:17 +0100

listen (0.6.3-6) unstable; urgency=low

  * Bump Debian policy version to 3.8.4

 -- Julien Valroff <julien@kirya.net>  Sat, 26 Dec 2009 21:01:28 +0100

listen (0.6.3-5ubuntu1) lucid; urgency=low

  *  Merge from Debian testing, remaining changes:
   - Transition to python-webkit from python-webkitgtk.
   - Don't Depend on python-gtkmozembed.
   - Move gstreamer0.10-esd from Recommends to Suggests.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 28 Dec 2009 19:48:16 -0500

listen (0.6.3-5) unstable; urgency=low

  * Converted to 3.0 (quilt) source format
  * Switched to GIT - updated VCS-* fields accordingly
  * Fixed watch file - thanks to Andrew Starr-Bochicchio
    <a.starr.b@gmail.com> (Closes: #557583)
  * Do not suggest python-eggtray anymore, recommend python-xlib
    instead (Closes: #560977)

 -- Julien Valroff <julien@kirya.net>  Fri, 25 Dec 2009 17:04:38 +0100

listen (0.6.3-4) unstable; urgency=low

  * Fixed typo in manpage - thanks to A. Costa <agcosta@gis.net>
    (Closes: #550927)
  * Applied patch from upstream BTS to make cover fetching from
    Google Images work again (Closes: #554963)

 -- Julien Valroff <julien@kirya.net>  Sat, 07 Nov 2009 16:40:58 +0100

listen (0.6.3-3ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining changes:
   - Transition to python-webkit from python-webkitgtk.
   - Don't Depend on python-gtkmozembed.
   - Move gstreamer0.10-esd from Recommends to Suggests.
  * debian/watch: Updated to look on Launchpad project.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 22 Nov 2009 19:03:10 -0500

listen (0.6.3-3) unstable; urgency=low

  * Dropped dependency on python-elementtree: was included
    in python2.5
  * Bumped Standards-Version to 3.8.3 - No further changes
  * Added README.source
  * Added watch file

 -- Julien Valroff <julien@kirya.net>  Sun, 16 Aug 2009 08:37:38 +0200

listen (0.6.3-2) unstable; urgency=low

  * Properly treat notify server capabilities to be
    None (Closes: #540092)

 -- Julien Valroff <julien@kirya.net>  Wed, 05 Aug 2009 18:43:07 +0200

listen (0.6.3-1) unstable; urgency=low

  * New upstream release:
    + replaygain support (read only)
    + magnatune support
    + xpsf playlist support
    + less memory usage
    + many bugs fixed (Closes: #530652)
  * Bumped Standards version to 3.8.2 (no changes needed)
  * Removed dh_desktop call (now deprecated)
  * Added patch to install the Magnatune logo

 -- Julien Valroff <julien@kirya.net>  Tue, 04 Aug 2009 19:37:02 +0200

listen (0.6.2-2) unstable; urgency=low

  * Dropped recommends on libgpod2, python-gpod depends on libgpod
  * Added patch to fix spelling mistake (Closes: #536052)

 -- Julien Valroff <julien@kirya.net>  Wed, 10 Jun 2009 20:54:14 +0200

listen (0.6.2-1ubuntu3) karmic; urgency=low

  * LP: #432405 - firefox-3.5 karmic - listen still depends on xulrunner-1.9;
    drop xulrunner-1.9 depends after python-webkit transition; see:
    https://blueprints.launchpad.net/ubuntu/+spec/desktop-karmic-firefox-3.5

 -- Alexander Sack <asac@ubuntu.com>  Fri, 18 Sep 2009 12:59:01 +0200

listen (0.6.2-1ubuntu2) karmic; urgency=low

  * Transition to python-webkit. (LP: #407373) 
  * Remove dh_desktop from rules file as it's deprecated. 

 -- Jorge O. Castro <jorge@ubuntu.com>  Fri, 31 Jul 2009 16:42:49 +0200

listen (0.6.2-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes (LP: #382382)
    - Don't Depend on python-elementtree or python-gtkmozembed
    - Depend on python-webkitgtk
    - Move gstreamer0.10-esd from Recommends to Suggests

 -- Nathan Handler <nhandler@ubuntu.com>  Mon, 08 Jun 2009 20:22:03 +0000

listen (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Julien Valroff <julien@kirya.net>  Fri, 22 May 2009 14:26:43 +0200

listen (0.6.1-1) unstable; urgency=low

  * New upstream release (Closes: #521854, #525165)
  * Added depend on python-xdg (Closes: #525157)

 -- Julien Valroff <julien@kirya.net>  Sat, 09 May 2009 08:55:53 +0200

listen (0.6~rc2-1) experimental; urgency=low

  * New upstream release candidate, fixes the following major bugs:
    + Broken webradio support
    + Remove freeze when database are saved on the disk
    + Sometimes listen freeze when a new stream are started after
      the end of the playlist
    + Broken Google image cover download 
  * Pass --as-needed flag to ld

 -- Julien Valroff <julien@kirya.net>  Sat, 28 Mar 2009 13:48:22 +0100

listen (0.6~rc1-2) experimental; urgency=low

  * Added patch to skip dependencies check during build
    (Closes: #519923)
  * Use upstream manpage

 -- Julien Valroff <julien@kirya.net>  Mon, 16 Mar 2009 14:02:41 +0100

listen (0.6~rc1-1) experimental; urgency=low

  * First release candidate for 0.6:
    + Partial DAAP support
    + Listen Last.fm Station

