=== debian/control ===
Source: listen
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Julien Valroff <julien@kirya.net>
Build-Depends: 	cdbs (>= 0.4.43),
		debhelper (>= 7.0),
		python-central (>= 0.5),
		docbook2x,
		pkg-config,
		imagemagick,
		python-gtk2-dev,
		python-all-dev (>= 2.3.5-11),
		python-mutagen (>= 1.8),
		intltool,
		python-gnome2-dev,
		python-gnome2-extras-dev,
		python-gst0.10,
		sgml-data
Standards-Version: 3.8.4
XS-Python-Version: current
Homepage: http://www.listen-project.org/
Vcs-Git: git://git.kirya.net/git/listen.git
Vcs-Browser: http://git.kirya.net/?p=listen.git;a=summary
DM-Upload-Allowed: yes

Package: listen
Architecture: any
Depends: 	${misc:Depends},
		${shlibs:Depends},
		${python:Depends},
		gstreamer0.10-alsa,
		python-gtk2,
		python-dbus,
		python-glade2,
		notification-daemon,
		python-pyinotify,
		gstreamer0.10-plugins-base,
		gstreamer0.10-plugins-good,
		python-gst0.10 (>= 0.10.4-4),
		python-mutagen (>= 1.8),
		python-webkit,
		python-xdg
Recommends: 	gstreamer0.10-x,
		python-musicbrainz2,
		python-tunepimp (>= 0.5),
		gnome-icon-theme,
		python-daap,
		python-avahi,
		python-gpod (>= 0.3.2),
		python-xlib
Suggests: 	gstreamer0.10-plugins-bad,
		gstreamer0.10-plugins-ugly,
		python-sexy,
		libtunepimp5,
		python-gnome2,
		gstreamer0.10-esd,
		icecast2 | icecast-server
XB-Python-Version: ${python:Versions}
Description: music player and manager for GNOME
 Listen is an audio player which helps you to organize your
 music collections.
 .
 It supports many features such as Podcasts management, browse Shoutcast
 directory, and provides direct access to lyrics, lastfm and wikipedia
 information.
 .
 It intuitively creates playlists for you by retrieving information from
 lastfm and what you most frequently listen to.
