=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

DEB_MAKE_BUILD_TARGET    := listen 
DEB_MAKE_INSTALL_TARGET  := install DESTDIR=$(CURDIR)/debian/listen/

LDFLAGS += -Wl,--as-needed

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

configure/listen::
	chmod u+x $(CURDIR)/mmkeys/setup.py

build/listen::
	convert -resize 32x32 $(CURDIR)/data/img/listen.png $(CURDIR)/debian/listen.xpm

binary-install/listen::
	dh_pycentral

clean::
	rm -f debian/listen.xpm
