## listen 0.6.5

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # vim: ts=4
 #
 
-VERSION = 0.6.4
+VERSION = 0.6.5
 
 #0 = don't check dependencies usefull to make distribued packages
 CHECK_DEPENDS ?= 1
@@ -23,7 +23,7 @@
 
 DIST_DIR = src data misc mmkeys po 
 DIST_FILE = check.py copy gpl.txt INSTALL Makefile README TODO header.tmpl
-DIST_TAR_EXCLUDE = (src/gnomevfswrap.py$$|src/cairo-test.py$$|data/_img.*)
+DIST_TAR_EXCLUDE = (data/_img.*)
 DIST_INSTALL ?= dists/
 
 PYSRC_DIR = $(shell find src -type d -not -ipath \*.svn\* | sed -e 's@src/@@g' -e '/src/d')
@@ -107,11 +107,11 @@
 	install -m 644 src/*.pyc $(DESTDIR)$(LIBDIR)/listen
 	install -m 644 src/*.pyo $(DESTDIR)$(LIBDIR)/listen
 	for dir in $(PYSRC_DIR); do \
-		install -m 644 src/$${dir}/*.py $(DESTDIR)$(LIBDIR)/listen/$${dir} ; \
-		install -m 644 src/$${dir}/*.pyc $(DESTDIR)$(LIBDIR)/listen/$${dir} ; \
-		install -m 644 src/$${dir}/*.pyo $(DESTDIR)$(LIBDIR)/listen/$${dir} ; \
+		for file in src/$${dir}/*.py; do \
+			grep '^#@nodistribution' $$file >/dev/null && echo "$$file not distribued" && continue ; \
+			install -m 644 $${file}* $(DESTDIR)$(LIBDIR)/listen/$${dir}/ ; \
+		done ; \
 	done
-	
 	install -m 644 src/mmkeys.so $(DESTDIR)$(LIBDIR)/listen/
 	install -m 644 src/listen $(DESTDIR)$(LIBDIR)/listen/
 	install -m 644 data/*.glade $(DESTDIR)$(DATADIR)/listen
@@ -128,7 +128,6 @@
 	for lang in $(PO); do install -m 644 po/$$lang.mo $(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES/listen.mo; done
 	
 	install -m 755 listen $(DESTDIR)$(BINDIR)
-
 
 po-data:
 	for lang in $(PO); do \
