=== debian/changelog ===
listen (0.6.5-4) unstable; urgency=low

  * Replace python-all-dev build-dep with python-dev.
  * Add gbp.conf file.
  * Attempt to fix last.fm submission (Closes: #563493).
  * Bump Standards.
  * Remove README.source file.
  * Remove pycompat file.
  * Fix typo in desktop file: audip/mp3 -> audio/mp3 (LP: #570811).

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 Aug 2010 17:45:17 +0200

listen (0.6.5-3) unstable; urgency=low

  [ Julien Valroff ]
  * Promote python-gnome2 and gstreamer0.10-plugins-ugly from suggest to
    recommend (Closes: #580966, #580967)

  [ Alessio Treglia ]
  * Adopting this (Closes: #585898).
  * Remove old-style quilt working tree.
  * Don't raise string exceptions as they are no longer allowed
    in Python 2.6 (Closes: #585246).
  * debian/control:
    - Update Vcs-* fields.
    - Drop DM-Upload-Allowed field.
    - Drop unnecessary python-central build-dependency, the package already
      uses python-support.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Jun 2010 13:31:39 +0200

listen (0.6.5-2) unstable; urgency=low

  * Switch to dh tiny rules and let the package build (Closes: #577333)

 -- Julien Valroff <julien@kirya.net>  Sun, 11 Apr 2010 11:36:37 +0200

listen (0.6.5-1) unstable; urgency=low

  * New Upstream Version:
    + Playlist order is now kept 
    + Fixed encoding problem when downloading podcast
    + New API to display html
    + New preferences window layout
    + Dialog windows are open on the top of main window when in fullscreen
    + Big code cleanup with pylint
    + Updated gajim api
    + Remove current playing song from gajim or pidgin status when exiting
    + Fixed flickering in top left screen, when pressing cover button
    + Improved listen load time
    + Resolved stream end and stop to this track conflic problem
    + Add viewport for webkit
  * Fixed dependency on python-webkit (from inexisting python-webkitgtk)
    thanks to Daniel Fuentes Barría <dbfuentes@gmail.com> (Closes: #571039)

 -- Julien Valroff <julien@kirya.net>  Fri, 19 Mar 2010 20:41:12 +0100
