=== debian/control ===
Source: listen
Section: sound
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 python-support (>= 0.5.3),
 docbook2x,
 pkg-config,
 imagemagick,
 python-gtk2-dev,
 python-dev (>= 2.3.5-11),
 python-mutagen (>= 1.8),
 intltool,
 python-gnome2-dev,
 python-gnome2-extras-dev,
 python-gst0.10,
 sgml-data
Standards-Version: 3.9.1
XS-Python-Version: current
Homepage: http://www.listen-project.org/
Vcs-Git: git://git.debian.org/collab-maint/listen.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/listen.git

Package: listen
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python:Depends},
 gstreamer0.10-alsa,
 python-gtk2,
 python-dbus,
 python-glade2,
 notification-daemon,
 python-pyinotify,
 gstreamer0.10-plugins-base,
 gstreamer0.10-plugins-good,
 python-gst0.10 (>= 0.10.4-4),
 python-mutagen (>= 1.8),
 python-webkit | python-gtkmozembed,
 python-xdg
Recommends: gstreamer0.10-x,
 gstreamer0.10-esd,
 python-musicbrainz2,
 python-tunepimp (>= 0.5),
 gnome-icon-theme,
 python-daap,
 python-avahi,
 python-gpod (>= 0.3.2),
 python-gnome2,
 python-xlib,
 gstreamer0.10-plugins-ugly
Suggests: gstreamer0.10-plugins-bad,
 python-sexy,
 libtunepimp5,
 icecast2 | icecast-server
XB-Python-Version: ${python:Versions}
Description: music player and manager for GNOME
 Listen is an audio player which helps you to organize your
 music collections.
 .
 It supports many features such as Podcasts management, browse Shoutcast
 directory, and provides direct access to lyrics, lastfm and wikipedia
 information.
 .
 It intuitively creates playlists for you by retrieving information from
 lastfm and what you most frequently listen to.
