=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	chmod u+x $(CURDIR)/mmkeys/setup.py
	convert -resize 32x32 $(CURDIR)/data/img/listen.png $(CURDIR)/debian/listen.xpm
	dh_auto_configure

override_dh_auto_clean:
	rm -f debian/listen.xpm
	dh_auto_clean
